[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# GetCompleteText

Finds a string in a list, given its first few characters.

## Declaration

Source position: lclproc.pas line 94

`function GetCompleteText(`
`const sText: string;`
`iSelStart: Integer;`
`bCaseSensitive: Boolean;`
`bSearchAscending: Boolean;`
`slTextList: TStrings`
`):string;`

## Arguments

`sText` |  | The begin of the string to find.
`iSelStart` |  | The list index where the search should start.
`bCaseSensitive` |  | True means case-sensitive comparison.
`bSearchAscending` |  | True means search ascending from iSelStart.
`slTextList` |  | The list to search.

## Function result

The found string.